Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 145791 - tag based options
tag based options
Status: VERIFIED FIXED
Product: web
Classification: Unclassified
Component: HTML Editor
6.x
Sun All
: P2 (vote)
: 6.x
Assigned To: Marek Fukala
Jindrich Sedek
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-01 12:19 UTC by Jindrich Sedek
Modified: 2010-02-08 01:55 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jindrich Sedek 2008-09-01 12:19:55 UTC
it should be very usefull to provide options for HTML / JSP editor behavior in some cases:

1) invoking end HTML tags in cc:
"<| " -> should show end tags? YES/NO

2) case sensitivity of HTML tags - see issue #108560
<hTm| -> should be smart in making characters lower case? YES/NO
Comment 1 Marek Fukala 2010-02-01 03:07:43 UTC
3) <div align= -> autocomplete quotes ""? YES/NO (from #179931)
Comment 2 Marek Fukala 2010-02-01 05:26:38 UTC
4) autocomplete quotes in attribute values? YES/NO

#3 and #4 fixed in web-main#fda0668430b6
Comment 3 Marek Fukala 2010-02-01 07:22:27 UTC
#2 already resolved

#1 fixed in web-main#4445b0141453
Comment 4 Quality Engineering 2010-02-03 21:54:17 UTC
Integrated into 'main-golden', will be available in build *201002040200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/4445b0141453
User: Marek Fukala <mfukala@netbeans.org>
Log: #145791 -  tag based options
Comment 5 Jindrich Sedek 2010-02-08 01:55:07 UTC
verified
NetBeans IDE Dev (Build 201002080200)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo